From: "Mike Auty" <ikelos@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/ikelos:master commit in: dev-libs/libnfc/
Date: Fri, 29 Apr 2011 13:21:47 +0000 (UTC) [thread overview]
Message-ID: <59e47ca61fcd8521ce73178bf9226150e88219e0.ikelos@gentoo> (raw)
commit: 59e47ca61fcd8521ce73178bf9226150e88219e0
Author: Mike Auty <ikelos <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 29 13:21:32 2011 +0000
Commit: Mike Auty <ikelos <AT> gentoo <DOT> org>
CommitDate: Fri Apr 29 13:21:32 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=dev/ikelos.git;a=commit;h=59e47ca6
Bump to 1.5.0.
---
dev-libs/libnfc/Manifest | 2 ++
dev-libs/libnfc/libnfc-1.5.0.ebuild | 31 +++++++++++++++++++++++++++++++
2 files changed, 33 insertions(+), 0 deletions(-)
diff --git a/dev-libs/libnfc/Manifest b/dev-libs/libnfc/Manifest
index b96e660..3bb7ecc 100644
--- a/dev-libs/libnfc/Manifest
+++ b/dev-libs/libnfc/Manifest
@@ -2,8 +2,10 @@ DIST libnfc-1.3.9.tar.gz 434273 RMD160 3346a4bf2b4c1badeaec0a5ceefd8f1cc572672b
DIST libnfc-1.4.0.tar.gz 471552 RMD160 8e1f812eff0da1bfda28ebf1e706235e2b5e6118 SHA1 1c8f147d6e8b508d6d2e8012ed8bbc37b9b1a9dd SHA256 441246286247f71ebe5f3060304202809601a6f2b91a33251834c65ae4b6ed02
DIST libnfc-1.4.1.tar.gz 480326 RMD160 27a9e4e3e71eccf9b594647c5c472db971883490 SHA1 9458c37a7cb84df361531480dfe9bd20d95c35ad SHA256 5b2aa9fe7679b45a78b8ea202056e297fc4f8dd050e23df948ec540a8aade543
DIST libnfc-1.4.2.tar.gz 487310 RMD160 9fc08d78951d63c4bd667c8e1b9f7831b9425db2 SHA1 4bc578169716a04156c6839e46f86d2663602f07 SHA256 295ad8a0dc0e4469d9f10589449a9a04eed284a2e7faf398e91d84a89ca91bfa
+DIST libnfc-1.5.0.tar.gz 502506 RMD160 89afc8dca92044548316491937a88a3106551c13 SHA1 5ec36d77689dcc72def1388dd39cb8f91cccab5f SHA256 fae2910645ac71a0b7707d693d1521f210019fdf3437203b3d779951ddcb7e85
EBUILD libnfc-1.3.9.ebuild 738 RMD160 e08fa8c79a03232646d3ccb142569195e603a162 SHA1 f48e6764d0dbad99ad267067f738084a222d6d4c SHA256 40a137f178666d578f6b9cf3489fa25d4ee5dd117a80f950e97817c2d6309d07
EBUILD libnfc-1.4.0.ebuild 738 RMD160 e08fa8c79a03232646d3ccb142569195e603a162 SHA1 f48e6764d0dbad99ad267067f738084a222d6d4c SHA256 40a137f178666d578f6b9cf3489fa25d4ee5dd117a80f950e97817c2d6309d07
EBUILD libnfc-1.4.1.ebuild 738 RMD160 e08fa8c79a03232646d3ccb142569195e603a162 SHA1 f48e6764d0dbad99ad267067f738084a222d6d4c SHA256 40a137f178666d578f6b9cf3489fa25d4ee5dd117a80f950e97817c2d6309d07
EBUILD libnfc-1.4.2.ebuild 738 RMD160 e08fa8c79a03232646d3ccb142569195e603a162 SHA1 f48e6764d0dbad99ad267067f738084a222d6d4c SHA256 40a137f178666d578f6b9cf3489fa25d4ee5dd117a80f950e97817c2d6309d07
+EBUILD libnfc-1.5.0.ebuild 738 RMD160 e08fa8c79a03232646d3ccb142569195e603a162 SHA1 f48e6764d0dbad99ad267067f738084a222d6d4c SHA256 40a137f178666d578f6b9cf3489fa25d4ee5dd117a80f950e97817c2d6309d07
EBUILD libnfc-9999.ebuild 695 RMD160 5eca2602a575d393bcb19a307c048c40acc97f49 SHA1 80ee710797ffcaaebd7316194ec84b13f9dc28f9 SHA256 db4c4a2caa8a1a69fc8c836d5bf30faf974a0999d3b45e05380c99b6cb83a877
diff --git a/dev-libs/libnfc/libnfc-1.5.0.ebuild b/dev-libs/libnfc/libnfc-1.5.0.ebuild
new file mode 100644
index 0000000..a2aa6bf
--- /dev/null
+++ b/dev-libs/libnfc/libnfc-1.5.0.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/dev-libs/libnfc/libnfc-1.2.1.ebuild,v 1.1 2009/08/16 14:18:29 ikelos Exp $
+
+EAPI="2"
+
+inherit eutils
+
+DESCRIPTION="Near Field Communications (NFC) library"
+HOMEPAGE="http://www.libnfc.org/"
+SRC_URI="http://${PN}.googlecode.com/files/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="doc"
+
+DEPEND="sys-apps/pcsc-lite
+ dev-libs/libusb
+ doc? ( app-doc/doxygen )"
+RDEPEND="${DEPEND}"
+
+src_compile() {
+ emake || die "Failed to compile."
+ use doc && doxygen
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die "Failed to install properly."
+ use doc && dohtml ${S}/doc/html/*
+}
next reply other threads:[~2011-04-29 13:21 UTC|newest]
Thread overview: 8+ messages / expand[flat|nested] mbox.gz Atom feed top
2011-04-29 13:21 Mike Auty [this message]
-- strict thread matches above, loose matches on Subject: below --
2013-04-17 18:41 [gentoo-commits] dev/ikelos:master commit in: dev-libs/libnfc/ Mike Auty
2013-02-18 0:16 Mike Auty
2013-02-18 0:16 Mike Auty
2011-12-25 13:09 Mike Auty
2011-04-30 13:48 Mike Auty
2011-02-25 10:49 Mike Auty
2011-02-04 11:37 ikelos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=59e47ca61fcd8521ce73178bf9226150e88219e0.ikelos@gentoo \
--to=ikelos@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox